<div class="modal">
    <button type="button" class="close" (click)=close()>
        <span aria-hidden="true">&times;</span>
    </button>
    <form [formGroup]="userForm" (ngSubmit)="submit()" class="user-form">
        <mat-form-field>
            <mat-label>{{USERNAME_LABEL}}</mat-label>
            <input matInput type="text" id="name" formControlName="nameCtr" class="input-field"
                [placeholder]="USERNAME_PH">
            <mat-error *ngIf="nameCtr?.errors?.required">
                {{REQUIRED_FIELD_ERR_MSG}}
            </mat-error>
        </mat-form-field>
        <mat-form-field>
            <mat-label>{{USER_NAME_LABEL}}</mat-label>
            <input matInput type="text" id="userName" formControlName="userNameCtr" class="input-field"
                [placeholder]="USER_NAME_PH">
            <mat-error *ngIf="userNameCtr?.errors?.required">
                {{REQUIRED_FIELD_ERR_MSG}}
            </mat-error>
        </mat-form-field>
        <mat-form-field>
            <mat-label>{{USER_GENDER_LABEL}}</mat-label>
            <mat-select id="userGender" formControlName="userGenderCtr">
                <mat-option value="male">{{USER_GENDER_OPTION_A}}</mat-option>
                <mat-option value="female">{{USER_GENDER_OPTION_B}}</mat-option>
            </mat-select>
            <mat-error *ngIf="userGenderCtr?.errors?.required">
                {{REQUIRED_FIELD_ERR_MSG}}
            </mat-error>
        </mat-form-field>
        <mat-form-field *ngIf="!update">
            <mat-label>{{USER_EMAIL_LABEL}}</mat-label>
            <input matInput type="email" id="userEmail" formControlName="userEmailCtr" class="input-field"
                [placeholder]="USER_EMAIL_PH">
            <mat-error *ngIf="userEmailCtr?.errors?.required">
                {{REQUIRED_FIELD_ERR_MSG}}
            </mat-error>
        </mat-form-field>
        <mat-form-field *ngIf="!update">
            <mat-label>{{USER_PASS_LABEL}}</mat-label>
            <input matInput type="password" id="userPass" formControlName="userPassCtr" class="input-field"
                [placeholder]="USER_PASS_PH">
            <mat-error *ngIf="userPassCtr?.errors?.required">
                {{REQUIRED_FIELD_ERR_MSG}}
            </mat-error>
        </mat-form-field>
        <button mat-raised-button color="primary" type="submit">{{USER_SUBMIT_BTN}}</button>
    </form>
</div>